Subject: Re: [PATCH/RFC] rebase: new convenient option to edit/reword/delete a single commit

From: Matthieu Moy <[email-masked]>
Date: Sun, 09 Mar 2014 17:30:24 +0100

Nguyễn Thái Ngọc Duy <[email-masked]> writes:

>  Documentation/git-rebase.txt | 11 +++++++++++
>  git-rebase--interactive.sh   | 17 ++++++++++++++---
>  git-rebase.sh                | 22 +++++++++++++++++++++-
>  3 files changed, 46 insertions(+), 4 deletions(-)

This would deserve a few tests ...

>  'git rebase' --continue | --skip | --abort | --edit-todo
> +'git rebase' [--edit | -E | --reword | -R | --delete | -D ] <commit-ish>
[...]
> +-E=<commit>::
> +--edit=<commit>::
> +-R=<commit>::
> +--reword=<commit>::
> +-D=<commit>::
> +--delete=<commit>::

I first thought the two versions were inconsistant, but they're
technically correct since the current patch allows only one instance of
the option. I find it a bit weird to have two different descriptions,
but that may be just me.

> +	Configuration variable `rebase.autostash` is
> +	ignored.

I first found it really strange, and then understood it's a typo.

s/autostash/autosquash/

;-)

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/